Bug 167958 - cdrecord cannot deal with CDRW at all
cdrecord cannot deal with CDRW at all
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
: 167959 167960 167961 167963 167964 167966 167967 167969 167972 168003 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 17:11 EDT by Granville Xiong
Modified: 2010-09-07 08:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-07 08:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Granville Xiong 2005-09-10 10:10:47 EDT
Product
Red Hat Enterprise Linux

Component
cdrtools

Version 4

Platform
i686

Summary
cdreord cannot deal with CDRW at all

Version-Release of Selected Component
cdrtools-2.01.1-5.src.rpm

Description
When I tried to use cdrecord to either blank a CDRW or burn ISO image to an
empty CDRW disc, cdrecord always failed completely!

Steps to Reproduce
1. To blank a CDRW disc: cdrecord blank=fast dev=ATA:0,0,0
2. To burn a image to an empty CDRW disc: cdrecord dev=ATA:0,0,0
gnome-livecd-2.12-i386-en-1.iso

Actual Results
1) When blanking a CDRW disc, I got the following:
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: 'ATA:0,0,0'
devname: 'ATA'
scsibus: 0 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
Segmentation fault

2) When burn an image to a CDRW disc, I got the following:
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: 'ATA:0,0,0'
devname: 'ATA'
scsibus: 0 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
Segmentation fault
[xyg@integrin downloads]$ cdrecord dev=ATA:0,0,0 gnome-livecd-2.12-i386-en-1.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: 'ATA:0,0,0'
devname: 'ATA'
scsibus: 0 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c        1.83 04/05/20 Copyright
1997 J. Schilling').
cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer.

Expected Results
I remember when I just installed the original RHEL4 several months ago, burning
CDRW works fine. Now it just stopped working.

Additional Information
0) The output of rpm -qif /usr/bin/cdrecord is:
Name        : cdrecord                     Relocations: (not relocatable)
Version     : 2.01.1                            Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Mon 18 Oct 2004 09:56:58
AM EDT
Install Date: Mon 14 Mar 2005 04:46:16 PM EST      Build Host:
tweety.build.redhat.com
Group       : Applications/Archiving        Source RPM: cdrtools-2.01.1-5.src.rpm
Size        : 1292577                          License: GPL
Signature   : DSA/SHA1, Wed 05 Jan 2005 04:42:48 PM EST, Key ID
219180cddb42a60ePackager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         :
http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Summary     : A command line CD recording program.
Description :
Cdrecord is an application for recording audio and data CDs. Cdrecord
works with many different brands of CD recorders, fully supports
multi-sessions, and provides human-readable error messages.

1) The output of cdrecord -scanbus is the following:
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c        1.83 04/05/20 Copyright
1997 J. Schilling').
scsibus0:
        0,0,0     0) 'SAMSUNG ' 'CD-R/RW SW-252S ' 'R902' Removable CD-ROM
        0,1,0     1) 'PHILIPS ' 'DVD+-RW DVD8631 ' 'CD21' Removable CD-ROM
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

2) The output of rpm -qif /usr/bin/k3b is:
Name        : k3b                          Relocations: (not relocatable)
Version     : 0.11.14                           Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Thu 07 Oct 2004 10:09:34
AM EDT
Install Date: Thu 08 Sep 2005 12:06:04 PM EDT      Build Host:
tweety.build.redhat.com
Group       : Applications/Archiving        Source RPM: k3b-0.11.14-2.src.rpm
Size        : 13984633                         License: GPL
Signature   : DSA/SHA1, Wed 05 Jan 2005 06:47:28 PM EST, Key ID
219180cddb42a60ePackager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.k3b.org
Summary     : CD/DVD burning application for KDE
Description :
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

3) The output of uname -a is:
Linux integrin.pharm.mssm.edu 2.6.9-11.EL.xygsmp #1 SMP Tue Aug 16 21:22:43 EDT
2005 i686 i686 i386 GNU/Linux

4) Very interestingly, when I used k3b to burn DVD+RW disc with Philips DVD+RW
drive, everything works just fine! Actually I found the problem of burning CDRW
at first in k3b by encountering that k3b cannot erase a CDRW disc (Verbatim
brand, 700MB) at all and k3b didn't give any detailed error information.
Comment 1 Granville Xiong 2005-09-10 10:13:11 EDT
*** Bug 167959 has been marked as a duplicate of this bug. ***
Comment 2 Granville Xiong 2005-09-10 10:13:56 EDT
*** Bug 167960 has been marked as a duplicate of this bug. ***
Comment 3 Granville Xiong 2005-09-10 10:14:22 EDT
*** Bug 167961 has been marked as a duplicate of this bug. ***
Comment 4 Granville Xiong 2005-09-10 10:14:50 EDT
*** Bug 167963 has been marked as a duplicate of this bug. ***
Comment 5 Granville Xiong 2005-09-10 10:15:13 EDT
*** Bug 167964 has been marked as a duplicate of this bug. ***
Comment 6 Granville Xiong 2005-09-10 10:15:34 EDT
*** Bug 167966 has been marked as a duplicate of this bug. ***
Comment 7 Granville Xiong 2005-09-10 10:16:01 EDT
*** Bug 167967 has been marked as a duplicate of this bug. ***
Comment 8 Granville Xiong 2005-09-10 10:16:38 EDT
*** Bug 167969 has been marked as a duplicate of this bug. ***
Comment 9 Granville Xiong 2005-09-10 10:17:00 EDT
*** Bug 167972 has been marked as a duplicate of this bug. ***
Comment 10 Granville Xiong 2005-09-10 10:17:25 EDT
*** Bug 168003 has been marked as a duplicate of this bug. ***
Comment 11 Granville Xiong 2005-09-10 10:20:32 EDT
There are some internal errors on buzilla server occuring when I tried to submit
this bug, so repeated but empty reports were submited. I edit the first submited
bug report by putting all information into the Comment field and reassigned all
repeated empty reports to this first one.
Comment 12 Mike Gahagan 2006-07-13 11:18:42 EDT
I blank/burn CD-RW's on a regular basis with RHEL 4 and have never reproduced
this problem, however I did find a problem with cdrecord's handling of the
speed= argument. see BZ  198784
Comment 14 RHEL Product and Program Management 2008-10-31 12:43:38 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 Harald Hoyer 2009-01-26 07:20:15 EST
I recommend the use of "dev=/dev/cdrom" and not "dev=ATA:0,0,0" and would like to know, if it works with that modification of the command line.
Comment 16 Jörg Schilling 2009-02-10 08:45:19 EST
The problem is caused by a broken modification from Redhat's.

The original cdrecord did never have this problem. I recommend you
to upgrade to recent original software:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

BTW: if you only have one CD-type drive in your system,
call cdrecord without dev= parameter. In other cases,
call cdrecord -scanbus and chose one of the found drives.
Comment 17 Phil Knirsch 2010-09-07 08:31:01 EDT
Closed due to inactivity.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.